> For the complete documentation index, see [llms.txt](https://docs.griaule.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.griaule.com/apis/spid/remote.md).

# Remote

## createRemoteVerify

> This method creates a remote capture request for Face and/or Fingerprints verification.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/remote-capture/verify":{"post":{"tags":["Remote"],"operationId":"createRemoteVerify","summary":"createRemoteVerify","description":"This method creates a remote capture request for Face and/or Fingerprints verification.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteCaptureRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteCaptureResponse"}}}},"201":{"description":"Created"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"RemoteCaptureRequest":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/TransactionIdentifier"}}},"TransactionIdentifier":{"type":"object","properties":{"clientID":{"type":"string"},"operatorID":{"type":"string"},"clientEmail":{"type":"string"}}},"RemoteCaptureResponse":{"type":"object","properties":{"tguid":{"type":"string"},"dynamicLink":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## createRemoteEnroll

> This method creates a remote capture request for Face and/or Fingerprints enrollment.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/remote-capture/enroll":{"post":{"tags":["Remote"],"operationId":"createRemoteEnroll","summary":"createRemoteEnroll","description":"This method creates a remote capture request for Face and/or Fingerprints enrollment.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteCaptureRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteCaptureResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"RemoteCaptureRequest":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/TransactionIdentifier"}}},"TransactionIdentifier":{"type":"object","properties":{"clientID":{"type":"string"},"operatorID":{"type":"string"},"clientEmail":{"type":"string"}}},"RemoteCaptureResponse":{"type":"object","properties":{"tguid":{"type":"string"},"dynamicLink":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## POST /gbs-spid-server/remote-capture

> createRemoteVerify

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/remote-capture":{"post":{"tags":["Remote"],"summary":"createRemoteVerify","operationId":"createRemoteVerifyUsingPOST","requestBody":{"description":"remoteCaptureRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteCaptureRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteCaptureResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"RemoteCaptureRequest":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/TransactionIdentifier"}}},"TransactionIdentifier":{"type":"object","properties":{"clientID":{"type":"string"},"operatorID":{"type":"string"},"clientEmail":{"type":"string"}}},"RemoteCaptureResponse":{"type":"object","properties":{"tguid":{"type":"string"},"dynamicLink":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## GET /gbs-spid-server/remote-capture/biometrics/{tguid}

> getBiometrics

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/remote-capture/biometrics/{tguid}":{"get":{"tags":["Remote"],"summary":"getBiometrics","operationId":"getBiometricsUsingGET","parameters":[{"name":"tguid","in":"path","description":"tguid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Biometric"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"Biometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## POST /gbs-spid-server/remote-capture/finish/{tguid}

> finishRemoteCapture

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/remote-capture/finish/{tguid}":{"post":{"tags":["Remote"],"summary":"finishRemoteCapture","operationId":"finishRemoteCaptureUsingPOST_1","parameters":[{"name":"tguid","in":"path","description":"tguid","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"remoteCaptureApproval","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteCaptureApprovalRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"RemoteCaptureApprovalRequest":{"title":"RemoteCaptureApprovalRequest","type":"object","properties":{"approval":{"type":"boolean"}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## POST /gbs-spid-server/remote-capture/notification

> notificationRemoteCapture

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/remote-capture/notification":{"post":{"tags":["Remote"],"summary":"notificationRemoteCapture","operationId":"notificationRemoteCaptureUsingPOST","requestBody":{"description":"remoteCaptureNotificationRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteCaptureNotificationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"RemoteCaptureNotificationRequest":{"type":"object","properties":{"guid":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## faceDetect

> This method receives a base64 image and detects whether it has a single face or not. If a single face is detected, creates a transaction and returns its TGUID, else returns an error.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/remote-capture/face-detect":{"post":{"tags":["Remote"],"operationId":"faceDetect","summary":"faceDetect","description":"This method receives a base64 image and detects whether it has a single face or not. If a single face is detected, creates a transaction and returns its TGUID, else returns an error.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaceDetectRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaceDetectResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"FaceDetectRequest":{"type":"object","properties":{"userId":{"type":"string"},"operatorId":{"type":"string"},"image":{"type":"string"}}},"FaceDetectResponse":{"type":"object","properties":{"id":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.griaule.com/apis/spid/remote.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
